import React from 'react';
export declare const SourceForeignKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<unknown>>;
export declare const ThroughForeignKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<unknown>>;
export declare const TargetForeignKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<unknown>>;
export declare const SourceCollection: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<unknown>>;
export declare const SourceKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<Omit<any, "ref">>>;
export declare const TargetKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<Omit<any, "ref">>>;
export declare const ForeignKey: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<Omit<any, "ref">>>;
export declare const ThroughCollection: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<Omit<any, "ref">>>;
